package org.bitbucket.bradleysmithllc.etlagent.informatica.dto;

import com.google.gson.stream.JsonWriter;

import java.io.IOException;

public class DeleteConnectionRequestDTO extends BaseRepositoryRequestDTO
{
	private final String relationalConnectionName;
	private final boolean failIfNotExists;

	public DeleteConnectionRequestDTO(String relationalConnectionName, boolean failIfNotExists) {
		this.relationalConnectionName = relationalConnectionName;
		this.failIfNotExists = failIfNotExists;
	}

	public DeleteConnectionRequestDTO(String relationalConnectionName) {
		this(relationalConnectionName, true);
	}

	public String getRelationalConnectionName() {
		return relationalConnectionName;
	}
}