
package org.bitbucket.bradleysmithllc.etlagent.informatica.dto.json.informatica.execute;

import org.bitbucket.bradleysmithllc.etlunit.*;
import org.bitbucket.bradleysmithllc.etlunit.context.VariableContext;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

public interface ExecuteHandler
    extends ClassResponder, OperationProcessor
{


    public abstract ClassResponder.action_code execute(ExecuteRequest request, ETLTestOperation testOperation, ETLTestValueObject valueObject, VariableContext variableContext, ExecutionContext executionContext)
        throws TestAssertionFailure, TestExecutionError, TestWarning
    ;

}
